#!/bin/sh
DIALOG=${DIALOG=dialog}
tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15

$DIALOG --stdout \
        --title " " --clear \
	--inputbox "!     \n ϣ :" 16 51 > $tempfile

retval=$?

case $retval in
  0)
    echo "  `cat $tempfile`"
    ;;
  1)
    echo "  .";;
  255)
    if test -s $tempfile ; then
      cat $tempfile
    else
      echo "  ESC."
    fi
    ;;
esac
